import React, { useState } from 'react'
import BaseTmp from '@/components/BaseTmp'
import { Button, Col, Divider, Modal, Row, Table } from 'antd'

const Ability: React.FC = () => {

  const [ dataSource, setDataSource  ] = useState()

  const [ type, setType ] = useState<"edit" | "add">('add')

  const title = type == 'edit' ? '编辑能力' : '新增能力'

  const columns = [
    {
      title: '能力点',
      dataIndex: 'able',
      key: 'able'
    },
    {
      title: '创建时间',
      dataIndex: 'createTime',
      key: 'createTime'
    },
    {
      title: '操作',
      dataIndex: 'action',
      key: 'action',
      render: () => (
        <>
          <a  >编辑</a>
          <Divider type="vertical" />
          <a  >删除</a>
        </>
      )
    }
  ]

  return (
    <BaseTmp>
      <Row>
        <Col
          span={24}
          style={{display: 'flex', justifyContent: 'flex-end'}}
        >
          <Button>新增能力</Button>
        </Col>
        <Col span={24} style={{marginTop: '20px'}} >
          <Table  dataSource={dataSource}  columns={columns} />
        </Col>
      </Row>

      <Modal
        title={title}
      >

      </Modal>
    </BaseTmp>
  )
}

export default Ability


